> ## Documentation Index
> Fetch the complete documentation index at: https://www.ayrshare.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Single Review

> Fetch one Google Business Profile review by its ID, including the rating, review text, reviewer name and profile, and any reply posted by the business.

Retrieve a single review. Currently only Google Business Profile reviews.

## Header Parameters

**Authorization** `string` *required*

[API Key](https://www.ayrshare.com/docs/apis/overview.md#authorization) of the Primary Profile.

Format: `Authorization: Bearer API_KEY`
**Profile-Key** `string`

[Profile Key](https://www.ayrshare.com/docs/apis/overview.md#profile-key-format) of a User Profile.

Format: `Profile-Key: PROFILE_KEY`

## Path Parameters

**:id** `string` *required*

The review ID.

## Query Parameters

**platform** `string` *required*

Values: `gmb`

```bash cURL theme={"system"}
curl \
-H "Authorization: Bearer API_KEY" \
-X GET https://api.ayrshare.com/api/reviews/AbFvOqmQJ4xMTl2mjZl0h83TcOj?platform=gmb
```

```javascript JavaScript theme={"system"}
const API_KEY = "API_KEY";

fetch("https://api.ayrshare.com/api/reviews/AbFvOqmQJ4xMTl2mjZl0h83TcOj?platform=gmb", {
      method: "GET",
      headers: {
        "Authorization": `Bearer ${API_KEY}`
      }
    })
      .then((res) => res.json())
      .then((json) => console.log(json))
      .catch(console.error);
```

```python Python theme={"system"}
import requests

headers = {'Authorization': 'Bearer API_KEY'}

r = requests.get('https://api.ayrshare.com/api/reviews/AbFvOqmQJ4xMTl2mjZl0h83TcOj?platform=gmb', headers=headers)

print(r.json())
```

```php PHP theme={"system"}
<?php

$apiUrl = 'https://api.ayrshare.com/api/reviews/AbFvOqmQJ4xMTl2mjZl0h83TcOj?platform=gmb';
$apiKey = 'API_KEY';  // Replace 'API_KEY' with your actual API key

$headers = [
    'Content-Type: application/json',
    'Authorization: Bearer ' . $apiKey,
];

$curl = curl_init($apiUrl);
curl_setopt_array($curl, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => $headers
]);

$response = curl_exec($curl);

if ($response === false) {
    echo 'Curl error: ' . curl_error($curl);
} else {
    echo json_encode(json_decode($response), JSON_PRETTY_PRINT);
}

curl_close($curl);
```

```csharp C# theme={"system"}
using System;
using System.Net.Http;
using System.Threading.Tasks;
using System.Web;

namespace ReviewsGetOne_csharp
{
class ReviewsGetOne
{
    static async Task Main(string[] args)
    {
        string API_KEY = "API_KEY";
        string reviewId = "AbFvOqmQJ4xMTl2mjZl0h83TcOj";
        
        // Build URL with query parameters
        var uriBuilder = new UriBuilder("https://api.ayrshare.com/api/reviews/" + reviewId);
        var query = HttpUtility.ParseQueryString(string.Empty);
        query["platform"] = "gmb";
        uriBuilder.Query = query.ToString();

        using (var client = new HttpClient())
        {
            client.DefaultRequestHeaders.Add("Authorization", "Bearer " + API_KEY);
            
            try
            {
                HttpResponseMessage response = await client.GetAsync(uriBuilder.Uri);
                response.EnsureSuccessStatusCode();
                string responseBody = await response.Content.ReadAsStringAsync();
                Console.WriteLine(responseBody);
            }
            catch (HttpRequestException e)
            {
                Console.WriteLine($"Error: {e.Message}");
            }
        }
    }
}
}
```

```json 200: Retrieved Review theme={"system"}
{
    "gmb": [
        {
            "created": "2023-07-11T21:23:57.707819Z",
            "rating": "FIVE", // Rating ONE, TWO, THREE, FOUR, FIVE
            "review": "Been a great experience - like the documentation, example coding, and help desk.",
            "reviewReply": {
                "reply": "Thank you for the great thoughts.",
                "updated": "2024-02-05T22:36:17.989625Z"
            },
            "reviewer": {
                "name": "Mads Max",
                "profile": "https://lh3.googleusercontent.com/a-/ALV-UjV-MlTLJh9CdosuaS"
            },
            "updated": "2023-07-11T21:23:57.707819Z"
        }
    ],
    "lastUpdated": "2024-02-05T23:27:03.147Z",
    "nextUpdate": "2024-02-05T23:38:03.147Z"
}
```

```json 400: Bad Request theme={"system"}
{
  "action": "analytics",
  "status": "error",
  "code": 323,
  "message": "Error getting Google Business Profile analytics. Please try again later or contact us."
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.